%define upstream_name	 Rose-HTML-Objects
%define upstream_version 0.626

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object-oriented interfaces for HTML
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(DateTime) >= 0.200.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::String) >= 1.80.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Rose::DateTime) >= 0.532.0
BuildRequires: perl(Rose::Object) >= 0.854.0
BuildRequires: perl(Rose::URI) >= 0.21.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base) >= 2.180.0
BuildArch:  noarch

Requires:   perl-Rose-DateTime >= 0.013.3
Requires:   perl-Rose-Object >= 0.015
Requires:   perl-Rose-URI >= 0.021
%description
The Rose::HTML::Object::* family of classes represent HTML tags, or
groups of tags. These objects allow HTML to be arbitrarily
manipulated, then serialized to actual HTML (or XHTML). Currently, the
process only works in one direction. Objects cannot be constructed
from their serialized representations. In practice, given the purpose
of these modules, this is not an important limitation.

Any HTML tag can theoretically be represented by a
Rose::HTML::Object-derived class, but this family of modules was
originally motivated by a desire to simplify the use of HTML forms.

The form/field object interfaces have been heavily abstracted to allow
for input and output filtering, inflation/deflation of values, and
compound fields (fields that contain other fields). The classes are
also designed to be subclassed. The creation of custom form and field
subclasses is really the "big win" for these modules.

There is also a simple image tag class which is useful for
auto-populating the width and height attributes of img tags. Future
releases may include object representations of other HTML
tags. Contributions are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose

%changelog
* Wed Aug 30 2023 tv <tv> 0.626.0-1.mga10
+ Revision: 1981948
- update to 0.626

* Thu Oct 27 2022 tv <tv> 0.624.0-1.mga9
+ Revision: 1899808
- update to 0.624

* Sun Mar 20 2022 umeabot <umeabot> 0.623.0-6.mga9
+ Revision: 1805563
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.623.0-5.mga8
+ Revision: 1497059
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.623.0-4.mga7
+ Revision: 1270961
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.623.0-3.mga6
+ Revision: 1032920
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.623.0-2.mga6
+ Revision: 967430
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.623.0-1.mga6
+ Revision: 848861
- update to 0.623

* Wed Oct 15 2014 umeabot <umeabot> 0.621.0-3.mga5
+ Revision: 750074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.621.0-2.mga5
+ Revision: 686114
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.621.0-1.mga5
+ Revision: 593780
- update to 0.621

* Sat Feb 08 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 586538
- update to 0.620

* Sat Oct 19 2013 umeabot <umeabot> 0.619.0-2.mga4
+ Revision: 530535
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 0.619.0-1.mga4
+ Revision: 457883
- update to 0.619

* Fri Jun 07 2013 jquelin <jquelin> 0.618.0-1.mga4
+ Revision: 439843
- update to 0.618

* Sun Jan 13 2013 umeabot <umeabot> 0.617.0-2.mga3
+ Revision: 372311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.617.0-1.mga3
+ Revision: 342566
- update to 0.617

* Tue Jun 05 2012 jquelin <jquelin> 0.616.0-1.mga3
+ Revision: 255404
- update to 0.616

* Mon Jan 24 2011 jquelin <jquelin> 0.611.0-1.mga1
+ Revision: 37199
- mageia rebuild
- imported package perl-Rose-HTML-Objects

